#include <iostream>
#include <vector>
using namespace std;

vector <int64_t> a;

main ()

{
   int n,k;

   cin >> n >> k;



   bool p= true;

   for (int i=0; i<n; i++)
   {
    int l; cin >> l;  if (l!=0) { if (l!=1) p = false; } a.push_back(l);
   }

   if (k==1)
   {
       bool g = false;
       for (int i=1; i<n; i++)
       {
           if (a[i]<a[i-1]) { g=true; a.erase(a.begin()+i-1); }
           if (g==true) break;
           if (a[i]==a[i-1])
           {
               int m = 1; int in = i;
               for (int j=i; j<n; j++)
               {
                   if (a[j]>m) { m=a[j]; in=j; }
               }
              g=true;
              a.erase(a.begin()+in);

           }
           if (g==false)
           {
              int m = 1; int in = i;
               for (int j=i; j<n; j++)
               {
                   if (a[j]>m) { m=a[j]; in=j; }
               }
              a.erase(a.begin()+in);
              g=true;
           }
           if (g==true) break;
       }

       for (int i=0; i<a.size(); i++)
         cout << a[i] << " ";
   }

   else
   if (p==true)
   {

        for (int i=0; i<n; i++)
      {
          if (a[i]==1) { a.erase(a.begin()+i); k--;}
          if (k<1) break;


      }


              if (k>0)
            for (int i=0; i<k; i++)
        {
            a.erase(a.begin()+i);

        }

        for (int i=0; i<a.size(); i++)

              cout << a[i] << " ";

   }


}